// Importing the d3 libraries
import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';
// defining all the variables
const jsonIndianstate =
    'https://gist.githubusercontent.com/Ramch16/b3d2fa5065808a3089aacd2dffd93f30/raw/e650b6325ae7d9b2d5c22e43d53072682b9ec713/India_district.topojson';
	const jsonIndiaDistrict = 'https://gist.githubusercontent.com/Ramch16/eab039cdba4c65a242de3d12df503353/raw/4a948c20b747c94ed93db829527e69bca0d0f384/India_states.topojson';

export const useData = (selArea) => {
    let [data, setData] = useState(null);
    useEffect(() => {
    const bundle = {}
    json(jsonIndianstate).then(stateTopology => {
      const state = stateTopology.objects.india;
      json(jsonIndiaDistrict).then(districtTopology =>{
      	const dist = districtTopology.objects.india;
      	setData({'state':feature(stateTopology,state),'dist':feature(districtTopology,dist)})
      })
    });  
  }, []);
  
  return data;
  } 